# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Class BasePersonEntry<E extends BasePersonEntry>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.contacts.BasePersonEntry<E>

Type Parameters:
  `E` - concrete entry type

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

Direct Known Subclasses:
  ContactEntry, ProfileEntry

    public abstract class BasePersonEntry<E extends BasePersonEntry>

extends BaseEntry<E>

Describes a person entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`BasePersonEntry()` Default mutable constructor.
`BasePersonEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addCalendarLink(CalendarLink calendarLink)` Adds a new calendar link.
`void` `addEmailAddress(Email emailAddress)` Adds a new email address.
`void` `addEvent(Event event)` Adds a new event.
`void` `addExtendedProperty(ExtendedProperty extendedProperty)` Adds a new extended property.
`void` `addExternalId(ExternalId externalId)` Adds a new external id.
`void` `addHobby(Hobby hobby)` Adds a new hobby.
`void` `addImAddress(Im imAddress)` Adds a new instant messaging address.
`void` `addJot(Jot jot)` Adds a new jot.
`void` `addLanguage(Language language)` Adds a new language.
`void` `addOrganization(Organization organization)` Adds a new organization.
`void` `addPhoneNumber(PhoneNumber phoneNumber)` Adds a new phone number.
`void` `addPostalAddress(PostalAddress postalAddress)` Adds a new postal address.
`void` `addRelation(Relation relation)` Adds a new relation.
`void` `addStructuredPostalAddress(StructuredPostalAddress structuredPostalAddress)` Adds a new structured postal address.
`void` `addUserDefinedField(UserDefinedField userDefinedField)` Adds a new user defined field.
`void` `addWebsite(Website website)` Adds a new website.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`BillingInformation` `getBillingInformation()` Returns the billing information.
`Birthday` `getBirthday()` Returns the birthday.
`java.util.List<CalendarLink>` `getCalendarLinks()` Returns the calendar links.
`Link` `getContactEditPhotoLink()` Returns the link to edit contact photo.
`Link` `getContactPhotoLink()` Returns the link that provides the contact photo.
`DirectoryServer` `getDirectoryServer()` Returns the directory server.
`java.util.List<Email>` `getEmailAddresses()` Returns the email addresses.
`java.util.List<Event>` `getEvents()` Returns the events.
`java.util.List<ExtendedProperty>` `getExtendedProperties()` Returns the extended properties.
`java.util.List<ExternalId>` `getExternalIds()` Returns the external ids.
`Gender` `getGender()` Returns the gender.
`java.util.List<Hobby>` `getHobbies()` Returns the hobbies.
`java.util.List<Im>` `getImAddresses()` Returns the instant messaging addresses.
`Initials` `getInitials()` Returns the initials.
`java.util.List<Jot>` `getJots()` Returns the jots.
`java.util.List<Language>` `getLanguages()` Returns the languages.
`MaidenName` `getMaidenName()` Returns the maiden name.
`Mileage` `getMileage()` Returns the mileage.
`Name` `getName()` Returns the name.
`Nickname` `getNickname()` Returns the nickname.
`Occupation` `getOccupation()` Returns the occupation.
`java.util.List<Organization>` `getOrganizations()` Returns the organizations.
`java.util.List<PhoneNumber>` `getPhoneNumbers()` Returns the phone numbers.
`java.util.List<PostalAddress>` `getPostalAddresses()` Returns the postal addresses.
`Priority` `getPriority()` Returns the priority.
`java.util.List<Relation>` `getRelations()` Returns the relations.
`Sensitivity` `getSensitivity()` Returns the sensitivity.
`ShortName` `getShortName()` Returns the short name.
`java.util.List<StructuredPostalAddress>` `getStructuredPostalAddresses()` Returns the structured postal addresses.
`Subject` `getSubject()` Returns the subject.
`java.util.List<UserDefinedField>` `getUserDefinedFields()` Returns the user defined fields.
`java.util.List<Website>` `getWebsites()` Returns the websites.
`Where` `getWhere()` Returns the person location.
`boolean` `hasBillingInformation()` Returns whether it has the billing information.
`boolean` `hasBirthday()` Returns whether it has the birthday.
`boolean` `hasCalendarLinks()` Returns whether it has the calendar links.
`boolean` `hasDirectoryServer()` Returns whether it has the directory server.
`boolean` `hasEmailAddresses()` Returns whether it has the email addresses.
`boolean` `hasEvents()` Returns whether it has the events.
`boolean` `hasExtendedProperties()` Returns whether it has the extended properties.
`boolean` `hasExternalIds()` Returns whether it has the external ids.
`boolean` `hasGender()` Returns whether it has the gender.
`boolean` `hasHobbies()` Returns whether it has the hobbies.
`boolean` `hasImAddresses()` Returns whether it has the instant messaging addresses.
`boolean` `hasInitials()` Returns whether it has the initials.
`boolean` `hasJots()` Returns whether it has the jots.
`boolean` `hasLanguages()` Returns whether it has the languages.
`boolean` `hasMaidenName()` Returns whether it has the maiden name.
`boolean` `hasMileage()` Returns whether it has the mileage.
`boolean` `hasName()` Returns whether it has the name.
`boolean` `hasNickname()` Returns whether it has the nickname.
`boolean` `hasOccupation()` Returns whether it has the occupation.
`boolean` `hasOrganizations()` Returns whether it has the organizations.
`boolean` `hasPhoneNumbers()` Returns whether it has the phone numbers.
`boolean` `hasPostalAddresses()` Returns whether it has the postal addresses.
`boolean` `hasPriority()` Returns whether it has the priority.
`boolean` `hasRelations()` Returns whether it has the relations.
`boolean` `hasSensitivity()` Returns whether it has the sensitivity.
`boolean` `hasShortName()` Returns whether it has the short name.
`boolean` `hasStructuredPostalAddresses()` Returns whether it has the structured postal addresses.
`boolean` `hasSubject()` Returns whether it has the subject.
`boolean` `hasUserDefinedFields()` Returns whether it has the user defined fields.
`boolean` `hasWebsites()` Returns whether it has the websites.
`boolean` `hasWhere()` Returns whether it has the person location.
`void` `setBillingInformation(BillingInformation billingInformation)` Sets the billing information.
`void` `setBirthday(Birthday birthday)` Sets the birthday.
`void` `setDirectoryServer(DirectoryServer directoryServer)` Sets the directory server.
`void` `setGender(Gender gender)` Sets the gender.
`void` `setInitials(Initials initials)` Sets the initials.
`void` `setMaidenName(MaidenName maidenName)` Sets the maiden name.
`void` `setMileage(Mileage mileage)` Sets the mileage.
`void` `setName(Name name)` Sets the name.
`void` `setNickname(Nickname nickname)` Sets the nickname.
`void` `setOccupation(Occupation occupation)` Sets the occupation.
`void` `setPriority(Priority priority)` Sets the priority.
`void` `setSensitivity(Sensitivity sensitivity)` Sets the sensitivity.
`void` `setShortName(ShortName shortName)` Sets the short name.
`void` `setSubject(Subject subject)` Sets the subject.
`void` `setWhere(Where where)` Sets the person location.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasePersonEntry

    public BasePersonEntry()

  Default mutable constructor.

### BasePersonEntry

    public BasePersonEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getBillingInformation

    public BillingInformation getBillingInformation()

  Returns the billing information.

  Returns:
    billing information

### setBillingInformation

    public void setBillingInformation(BillingInformation billingInformation)

  Sets the billing information.

  Parameters:
    `billingInformation` - billing information or `null` to reset

### hasBillingInformation

    public boolean hasBillingInformation()

  Returns whether it has the billing information.

  Returns:
    whether it has the billing information

### getBirthday

    public Birthday getBirthday()

  Returns the birthday.

  Returns:
    birthday

### setBirthday

    public void setBirthday(Birthday birthday)

  Sets the birthday.

  Parameters:
    `birthday` - birthday or `null` to reset

### hasBirthday

    public boolean hasBirthday()

  Returns whether it has the birthday.

  Returns:
    whether it has the birthday

### getCalendarLinks

    public java.util.List<CalendarLink> getCalendarLinks()

  Returns the calendar links.

  Returns:
    calendar links

### addCalendarLink

    public void addCalendarLink(CalendarLink calendarLink)

  Adds a new calendar link.

  Parameters:
    `calendarLink` - calendar link

### hasCalendarLinks

    public boolean hasCalendarLinks()

  Returns whether it has the calendar links.

  Returns:
    whether it has the calendar links

### getDirectoryServer

    public DirectoryServer getDirectoryServer()

  Returns the directory server.

  Returns:
    directory server

### setDirectoryServer

    public void setDirectoryServer(DirectoryServer directoryServer)

  Sets the directory server.

  Parameters:
    `directoryServer` - directory server or `null` to reset

### hasDirectoryServer

    public boolean hasDirectoryServer()

  Returns whether it has the directory server.

  Returns:
    whether it has the directory server

### getEmailAddresses

    public java.util.List<Email> getEmailAddresses()

  Returns the email addresses.

  Returns:
    email addresses

### addEmailAddress

    public void addEmailAddress(Email emailAddress)

  Adds a new email address.

  Parameters:
    `emailAddress` - email address

### hasEmailAddresses

    public boolean hasEmailAddresses()

  Returns whether it has the email addresses.

  Returns:
    whether it has the email addresses

### getEvents

    public java.util.List<Event> getEvents()

  Returns the events.

  Returns:
    events

### addEvent

    public void addEvent(Event event)

  Adds a new event.

  Parameters:
    `event` - event

### hasEvents

    public boolean hasEvents()

  Returns whether it has the events.

  Returns:
    whether it has the events

### getExtendedProperties

    public java.util.List<ExtendedProperty> getExtendedProperties()

  Returns the extended properties.

  Returns:
    extended properties

### addExtendedProperty

    public void addExtendedProperty(ExtendedProperty extendedProperty)

  Adds a new extended property.

  Parameters:
    `extendedProperty` - extended property

### hasExtendedProperties

    public boolean hasExtendedProperties()

  Returns whether it has the extended properties.

  Returns:
    whether it has the extended properties

### getExternalIds

    public java.util.List<ExternalId> getExternalIds()

  Returns the external ids.

  Returns:
    external ids

### addExternalId

    public void addExternalId(ExternalId externalId)

  Adds a new external id.

  Parameters:
    `externalId` - external id

### hasExternalIds

    public boolean hasExternalIds()

  Returns whether it has the external ids.

  Returns:
    whether it has the external ids

### getGender

    public Gender getGender()

  Returns the gender.

  Returns:
    gender

### setGender

    public void setGender(Gender gender)

  Sets the gender.

  Parameters:
    `gender` - gender or `null` to reset

### hasGender

    public boolean hasGender()

  Returns whether it has the gender.

  Returns:
    whether it has the gender

### getHobbies

    public java.util.List<Hobby> getHobbies()

  Returns the hobbies.

  Returns:
    hobbies

### addHobby

    public void addHobby(Hobby hobby)

  Adds a new hobby.

  Parameters:
    `hobby` - hobby

### hasHobbies

    public boolean hasHobbies()

  Returns whether it has the hobbies.

  Returns:
    whether it has the hobbies

### getImAddresses

    public java.util.List<Im> getImAddresses()

  Returns the instant messaging addresses.

  Returns:
    instant messaging addresses

### addImAddress

    public void addImAddress(Im imAddress)

  Adds a new instant messaging address.

  Parameters:
    `imAddress` - instant messaging address

### hasImAddresses

    public boolean hasImAddresses()

  Returns whether it has the instant messaging addresses.

  Returns:
    whether it has the instant messaging addresses

### getInitials

    public Initials getInitials()

  Returns the initials.

  Returns:
    initials

### setInitials

    public void setInitials(Initials initials)

  Sets the initials.

  Parameters:
    `initials` - initials or `null` to reset

### hasInitials

    public boolean hasInitials()

  Returns whether it has the initials.

  Returns:
    whether it has the initials

### getJots

    public java.util.List<Jot> getJots()

  Returns the jots.

  Returns:
    jots

### addJot

    public void addJot(Jot jot)

  Adds a new jot.

  Parameters:
    `jot` - jot

### hasJots

    public boolean hasJots()

  Returns whether it has the jots.

  Returns:
    whether it has the jots

### getLanguages

    public java.util.List<Language> getLanguages()

  Returns the languages.

  Returns:
    languages

### addLanguage

    public void addLanguage(Language language)

  Adds a new language.

  Parameters:
    `language` - language

### hasLanguages

    public boolean hasLanguages()

  Returns whether it has the languages.

  Returns:
    whether it has the languages

### getMaidenName

    public MaidenName getMaidenName()

  Returns the maiden name.

  Returns:
    maiden name

### setMaidenName

    public void setMaidenName(MaidenName maidenName)

  Sets the maiden name.

  Parameters:
    `maidenName` - maiden name or `null` to reset

### hasMaidenName

    public boolean hasMaidenName()

  Returns whether it has the maiden name.

  Returns:
    whether it has the maiden name

### getMileage

    public Mileage getMileage()

  Returns the mileage.

  Returns:
    mileage

### setMileage

    public void setMileage(Mileage mileage)

  Sets the mileage.

  Parameters:
    `mileage` - mileage or `null` to reset

### hasMileage

    public boolean hasMileage()

  Returns whether it has the mileage.

  Returns:
    whether it has the mileage

### getName

    public Name getName()

  Returns the name.

  Returns:
    name

### setName

    public void setName(Name name)

  Sets the name.

  Parameters:
    `name` - name or `null` to reset

### hasName

    public boolean hasName()

  Returns whether it has the name.

  Returns:
    whether it has the name

### getNickname

    public Nickname getNickname()

  Returns the nickname.

  Returns:
    nickname

### setNickname

    public void setNickname(Nickname nickname)

  Sets the nickname.

  Parameters:
    `nickname` - nickname or `null` to reset

### hasNickname

    public boolean hasNickname()

  Returns whether it has the nickname.

  Returns:
    whether it has the nickname

### getOccupation

    public Occupation getOccupation()

  Returns the occupation.

  Returns:
    occupation

### setOccupation

    public void setOccupation(Occupation occupation)

  Sets the occupation.

  Parameters:
    `occupation` - occupation or `null` to reset

### hasOccupation

    public boolean hasOccupation()

  Returns whether it has the occupation.

  Returns:
    whether it has the occupation

### getOrganizations

    public java.util.List<Organization> getOrganizations()

  Returns the organizations.

  Returns:
    organizations

### addOrganization

    public void addOrganization(Organization organization)

  Adds a new organization.

  Parameters:
    `organization` - organization

### hasOrganizations

    public boolean hasOrganizations()

  Returns whether it has the organizations.

  Returns:
    whether it has the organizations

### getPhoneNumbers

    public java.util.List<PhoneNumber> getPhoneNumbers()

  Returns the phone numbers.

  Returns:
    phone numbers

### addPhoneNumber

    public void addPhoneNumber(PhoneNumber phoneNumber)

  Adds a new phone number.

  Parameters:
    `phoneNumber` - phone number

### hasPhoneNumbers

    public boolean hasPhoneNumbers()

  Returns whether it has the phone numbers.

  Returns:
    whether it has the phone numbers

### getPostalAddresses

    public java.util.List<PostalAddress> getPostalAddresses()

  Returns the postal addresses.

  Returns:
    postal addresses

### addPostalAddress

    public void addPostalAddress(PostalAddress postalAddress)

  Adds a new postal address.

  Parameters:
    `postalAddress` - postal address

### hasPostalAddresses

    public boolean hasPostalAddresses()

  Returns whether it has the postal addresses.

  Returns:
    whether it has the postal addresses

### getPriority

    public Priority getPriority()

  Returns the priority.

  Returns:
    priority

### setPriority

    public void setPriority(Priority priority)

  Sets the priority.

  Parameters:
    `priority` - priority or `null` to reset

### hasPriority

    public boolean hasPriority()

  Returns whether it has the priority.

  Returns:
    whether it has the priority

### getRelations

    public java.util.List<Relation> getRelations()

  Returns the relations.

  Returns:
    relations

### addRelation

    public void addRelation(Relation relation)

  Adds a new relation.

  Parameters:
    `relation` - relation

### hasRelations

    public boolean hasRelations()

  Returns whether it has the relations.

  Returns:
    whether it has the relations

### getSensitivity

    public Sensitivity getSensitivity()

  Returns the sensitivity.

  Returns:
    sensitivity

### setSensitivity

    public void setSensitivity(Sensitivity sensitivity)

  Sets the sensitivity.

  Parameters:
    `sensitivity` - sensitivity or `null` to reset

### hasSensitivity

    public boolean hasSensitivity()

  Returns whether it has the sensitivity.

  Returns:
    whether it has the sensitivity

### getShortName

    public ShortName getShortName()

  Returns the short name.

  Returns:
    short name

### setShortName

    public void setShortName(ShortName shortName)

  Sets the short name.

  Parameters:
    `shortName` - short name or `null` to reset

### hasShortName

    public boolean hasShortName()

  Returns whether it has the short name.

  Returns:
    whether it has the short name

### getStructuredPostalAddresses

    public java.util.List<StructuredPostalAddress> getStructuredPostalAddresses()

  Returns the structured postal addresses.

  Returns:
    structured postal addresses

### addStructuredPostalAddress

    public void addStructuredPostalAddress(StructuredPostalAddress structuredPostalAddress)

  Adds a new structured postal address.

  Parameters:
    `structuredPostalAddress` - structured postal address

### hasStructuredPostalAddresses

    public boolean hasStructuredPostalAddresses()

  Returns whether it has the structured postal addresses.

  Returns:
    whether it has the structured postal addresses

### getSubject

    public Subject getSubject()

  Returns the subject.

  Returns:
    subject

### setSubject

    public void setSubject(Subject subject)

  Sets the subject.

  Parameters:
    `subject` - subject or `null` to reset

### hasSubject

    public boolean hasSubject()

  Returns whether it has the subject.

  Returns:
    whether it has the subject

### getUserDefinedFields

    public java.util.List<UserDefinedField> getUserDefinedFields()

  Returns the user defined fields.

  Returns:
    user defined fields

### addUserDefinedField

    public void addUserDefinedField(UserDefinedField userDefinedField)

  Adds a new user defined field.

  Parameters:
    `userDefinedField` - user defined field

### hasUserDefinedFields

    public boolean hasUserDefinedFields()

  Returns whether it has the user defined fields.

  Returns:
    whether it has the user defined fields

### getWebsites

    public java.util.List<Website> getWebsites()

  Returns the websites.

  Returns:
    websites

### addWebsite

    public void addWebsite(Website website)

  Adds a new website.

  Parameters:
    `website` - website

### hasWebsites

    public boolean hasWebsites()

  Returns whether it has the websites.

  Returns:
    whether it has the websites

### getWhere

    public Where getWhere()

  Returns the person location.

  Returns:
    person location

### setWhere

    public void setWhere(Where where)

  Sets the person location.

  Parameters:
    `where` - person location or `null` to reset

### hasWhere

    public boolean hasWhere()

  Returns whether it has the person location.

  Returns:
    whether it has the person location

### getContactEditPhotoLink

    public Link getContactEditPhotoLink()

  Returns the link to edit contact photo.

  Returns:
    Link to edit contact photo or `null` for none.

### getContactPhotoLink

    public Link getContactPhotoLink()

  Returns the link that provides the contact photo.

  Returns:
    Link that provides the contact photo or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`